Friday, April 13, 2007

Windows Vista Upgrade Advisor & "Failure decoding embedded permission set object"

I downloaded Windows Vista Upgrade Advisor from

For the record, I have:
1. Windows XP SP2
2. .Net 1.0, 1.1, 2.0, 3.0

When I installed the upgrade advisor, it threw the following error: "Failure decoding embedded permission set object". I googled and came up dry. Finally, I saw the light and modified the VistaUpgradeAdvisor.exe.config file:

    1 <?xml version="1.0" encoding="utf-8"?>
    2 <configuration>
    3   <appSettings>
    4     <add key="ShowDeviceVenderComments" value="true" />
    5     <add key="ShowAppsThatWorks" value="true" />
    6   </appSettings>
    8   <startup>
    9     <supportedRuntime version="v2.0.50727" />
   10   </startup>
   12 </configuration>

.Net is supposed to run side-by-side, right? If the UpgradeAdvisor supports 1.1, why did it require the modifications I did? We'll dissect the behavior in my next post.